## tetex-bin 0.4pl6

=== Makefile ===
#=========================================================================
# NOTE: GNU make is a "must", gcc as well (you may have luck with another
# ansi compiler)
#=========================================================================

#=========================================================================
# Configurable section
#=========================================================================
VERSION = 0.4
PATCHLEVEL = 6
TETEXDIR=/usr/local/teTeX
# the following should be best for a pentium
# -O2 -s -m486 -malign-jumps=2 -malign-loops=2 -malign-functions=2
CFLAGS	= -O2

# For "real" 64bit OS, e.g. Digital Unix 4.0. Irix6?, use:
# CFLAGS += -DPOINTER_IS_NOT_INT

# For BSD4.4 based systems (e.g. FreeBSD2.x.x)
# CFLAGS += -DHAVE_EXTERN_SYS_ERRLIST

# -s makes problems on some platforms. We run strip after "make install",
# so we really do not need -s here.
LDFLAGS	=

# The shared libXmu from OpenWindows is buggy on some SunOS 4.1.3 systems.
# If you run into this problem (when linking xdvi), set BROKEN_SUNOS_LIBXMU
# to yes:
BROKEN_SUNOS_LIBXMU=no
#BROKEN_SUNOS_LIBXMU=yes

# On some platforms, this Makefile sets the include and lib directory
# for the X Window System to the vendor specific directories (e.g.
# /usr/openwin/{include,lib}). To turn off this "feature", set
# USE_VENDOR_X=no. You may also need to set XINC and XLIB (see below).
USE_VENDOR_X=yes
#USE_VENDOR_X=no

#=========================================================================
# Set these, if configure cannot find the location of your libs and
# includes for X, or if you want to overwrite the default value.
#=========================================================================
#override XINC    = --x-includes=/path/to/the/xincludes
#override XLIB    = --x-libraries=/path/to/the/xlibs

#=========================================================================
# CHANGES BELOW, ONLY FOR EXPERTS OR IN CASE OF TROUBLE!
#=========================================================================

# the default target:
default: all

# NOTE: rerun "make config" if you make changes in this section!

#=========================================================================
# Use this, if you use flex and libfl.a is installed in an unusual place
# and cannot be found by configure.
#=========================================================================
#override FLEX_LIB_DIR=/usr/lib

#=========================================================================
# Set these, to specify extra-directories to be be searched for includes
# and libraries when compiling xdvi. This may be necessary, if the athena
# widgets can not be found in the standard places.
#=========================================================================
#override EXTRA_XINCLUDE_DIR=/path/to/some/extra/includes
#override EXTRA_XLIB_DIR=/path/to/some/extra/libs

#=========================================================================
# set USE_DIALOG=false if compiling dialog causes trouble on your system
# texconfig will still run in command-mode
#=========================================================================
override USE_DIALOG=true

#=========================================================================
# set USE_NCURSES=false if you want to use your system curses instead of
# the ncurses library.
#=========================================================================
override USE_NCURSES=true

#=========================================================================
# set HAVE_NCURSES=true if you want to use an already installed version of
# the ncurses library.
#=========================================================================
override HAVE_NCURSES=false

#=========================================================================
# X stuff
#=========================================================================
NO_X_FOR_MF	= -DNO_X11WIN

# change the true/false definition of FOIL, if you get an error with wchar_t
FOIL		= false

#=========================================================================
# END OF CONFIGURABLE SECTION. PLEASE DO NOT CHANGE THE LINES BELOW.
# END OF CONFIGURABLE SECTION. PLEASE DO NOT CHANGE THE LINES BELOW.
#=========================================================================
ifneq (,$(findstring /,$(MAKE)))
config:		abort
abort:
	@echo '$(MAKE): make must not be called with an absolute path.'; exit 1
endif
KPSEDIR		= kpse-2.6
TEXIDIR		= texinfo-3.9
DIALOGDIR	= dialog-0.5
NCURSESDIR	= $(DIALOGDIR)/ncurses-1.9.9e
MKINDEXDIR	= makeindex-2.12
CC		= gcc
SHELL		= /bin/sh
platform	= $(shell ./config.guess | sed 's/-.*-/-/')
CWD		:= $(shell pwd)
INSTALL		= $(CWD)/$(KPSEDIR)/bin/install -c
override prefix	= $(TETEXDIR)
override bindir	= $(prefix)/bin/$(platform)
override TEXMF	= $(TETEXDIR)/texmf
override PATH	:= $(bindir):$(CWD)/bin-extra:$(CWD)/$(KPSEDIR)/bin:$(PATH)

CONFDIRS   = $(KPSEDIR) $(TEXIDIR)
ifeq ($(USE_DIALOG),true)
SUBDIRS    = $(TEXIDIR) $(MKINDEXDIR) $(KPSEDIR) $(DIALOGDIR) bin-extra
CONFDIRS   += $(DIALOGDIR)
else
SUBDIRS    = $(TEXIDIR) $(MKINDEXDIR) $(KPSEDIR) bin-extra
override USE_NCURSES = no
endif

PASSENV  = $(EXTRA_XINCLUDE_DEFINE) $(EXTRA_XLIB_DEFINE) $(FLEX_DEFINE) \
	CC='$(CC)' CFLAGS='$(CFLAGS)' FOIL='$(FOIL)'                    \
	INSTALL='$(INSTALL)' LDFLAGS='$(LDFLAGS)'                       \
	NO_X_FOR_MF='$(NO_X_FOR_MF)' USE_NCURSES='$(USE_NCURSES)'       \
	bindir='$(bindir)' platform='$(platform)' prefix='$(prefix)'    \
	CONFFLAGS='$(CONFFLAGS)' MAKE='$(MAKE)'                         \
	TETEXDIR='$(TETEXDIR)' package='$(package)'                     \
	opt='$(opt)' HAVE_NCURSES='$(HAVE_NCURSES)'                     \
	BROKEN_SUNOS_LIBXMU=$(BROKEN_SUNOS_LIBXMU)

MYVARS	= opt='$(opt)' package='$(package)'

CONFFLAGS = --prefix=$(prefix) $(XINC) $(XLIB) \
  --with-datadir=/usr/lib/terminfo --cache-file=$(CWD)/config.cache </dev/null

ifeq ($(distrib), true)
override package     = true
override NO_X_FOR_MF =
endif

ifeq (486,$(findstring 486, $(platform)))
CFLAGS += -m486
endif

ifeq ($(package),true)
TETEXDIR	= $(CWD)/tmp/teTeX
warn-texmfcnf: prepare-tmp
else
warn-texmfcnf: $(TETEXDIR)/texmf.cnf
endif

ifeq (yes,$(USE_VENDOR_X))
ifneq (,$(findstring rs6000-aix3,$(platform)))
XINC    = --x-includes=/usr/lpp/X11/include
XLIB    = --x-libraries=/usr/lpp/X11/lib
EXTRA_XLIB_DIR = /usr/lpp/X11/Xamples/lib/Xaw
endif

ifneq (,$(findstring hpux,$(platform)))
XINC    = --x-includes=/usr/include/X11R5
XLIB    = --x-libraries=/usr/include/X11R5
endif

ifneq (,$(findstring sparc,$(platform)))
XINC    = --x-includes=/usr/openwin/include
XLIB    = --x-libraries=/usr/openwin/lib
endif
endif

ifdef FLEX_LIB_DIR
FLEX_DEFINE = LEX=flex LEXLIB='-L$(FLEX_LIB_DIR) -lfl'
endif

ifdef EXTRA_XINCLUDE_DIR
EXTRA_XINCLUDE_DEFINE = EXTRA_XINCLUDE_FLAG=-I$(EXTRA_XINCLUDE_DIR)
endif

ifdef EXTRA_XLIB_DIR
EXTRA_XLIB_DEFINE = EXTRA_XLIB_FLAG=-L$(EXTRA_XLIB_DIR)
else
EXTRA_XLIB_DEFINE =
endif

default: all

config: prepare-tmp
	for i in $(CONFDIRS); do \
	   (set -x; cd $$i; rm -f config.cache; \
	   $(PASSENV) ./configure $(CONFFLAGS)); \
	done

all distclean clean:
	for i in $(SUBDIRS); do \
	  (set -x; cd $$i; $(MAKE) $(PASSENV) $@ || exit 1); \
	done

install:
	for i in $(SUBDIRS); do \
	  (set -x; cd $$i; $(MAKE) $(PASSENV) $@ || exit 1); \
	done
	@strip $(bindir)/* >/dev/null 2>&1 || true

rmcache:
	rm -f config.cache

manpages mostlyclean triptrap run-triptrap clean-triptrap:
	(cd $(KPSEDIR); $(MAKE) $(PASSENV) $@)

ini:
	cp $(KPSEDIR)/web2c/tex/tex.pool $(TEXMF)/web2c
	cp $(KPSEDIR)/web2c/mf/mf.pool $(TEXMF)/web2c
	cp $(KPSEDIR)/web2c/mp/mp.pool $(TEXMF)/web2c
	bin-extra/texconfig init

package:
	( cd tmp; tar cvf - teTeX/bin ) | gzip -9 > $(platform).tar.gz

prepare-tmp:
ifeq ($(package),true)
	rm -rf tmp
	bin-extra/MakeTeXmkdir $(TETEXDIR)
	cp $(KPSEDIR)/kpathsea/texmf.cnf.in $(TETEXDIR)/texmf.cnf
endif

# target distrib is primary for me :-)

distrib-pre:
	$(MAKE) $(MYVARS) distrib=true do-distrib-pre

distrib-all:
	$(MAKE) $(MYVARS) distrib=true do-distrib-all

distrib-install:
	$(MAKE) $(MYVARS) distrib=true do-distrib-install

do-distrib-install: install package

do-distrib-pre:
	$(MAKE) $(MYVARS) config clean

do-distrib-all:
	$(MAKE) $(MYVARS) all
	(cd $(KPSEDIR)/web2c/mf; mv virmf virmf.X)
	rm -f $(KPSEDIR)/web2c/mf/vextra.o
	(cd $(KPSEDIR)/web2c/mf; $(MAKE) $(PASSENV) \
	  NO_X_FOR_MF=-DNO_X11WIN all)

texhash:
	bin-extra/texhash

tmp-clean:
	rm -rf tmp

$(TETEXDIR)/texmf.cnf:
	@echo
	@echo "ERROR: The file $(TETEXDIR)/texmf.cnf does not exist."
	@echo
	@echo "Do not copy it from the source-tree to this location."
	@echo "Instead, install the inputs-tree for teTeX (form"
	@echo "teTeX-lib-$(VERSION).tar.gz or base/goodies series and "
	@echo "make sure that TETEXDIR in this Makefile points to the"
	@echo "directory where the files are installed."
	@echo
	@false

distrib: distrib-pre distrib-all distrib-install
config: warn-texmfcnf
config: rmcache warn-texmfcnf
world: config clean texhash all install ini
distclean: rmcache tmp-clean

export TETEXDIR TEXMF

=== bin-extra/Makefile ===
SCRIPTS= MakeTeXMF MakeTeXPK MakeTeXTFM MakeTeXmkdir MakeTeXnames allcm allneeded append_db dvi2fax dvihp dvired fontexport fontimport mkfontdesc mkindex ps2frag texconfig texhash texi2dvi xdvi troffmpx makempx makeindex pslatex texi2html

FILES = $(SCRIPTS) mf mp latex amstex tex alldc kpsepath kpsewhich kpsexpand
bindir = $(prefix)/bin/$(platform)

clean distclean default all:

install: test-prefix test-platform $(bindir)
	cd $(bindir) && rm -f $(FILES)
	cp $(SCRIPTS) $(bindir)
	ln -s allcm $(bindir)/alldc
	ln -s kpsetool $(bindir)/kpsepath
	ln -s kpsetool $(bindir)/kpsewhich
	ln -s kpsetool $(bindir)/kpsexpand
	ln -s virmf $(bindir)/mf
	ln -s virmp $(bindir)/mp
	ln -s virtex $(bindir)/amstex
	ln -s virtex $(bindir)/latex
	ln -s virtex $(bindir)/tex
ifeq (aix4,$(findstring aix4, $(platform)))  
	set -x; for i in $(FILES); do ./fix-aix4-sh $(bindir)/$$i; done
endif
ifeq (ultrix,$(findstring ultrix, $(platform)))  
	set -x; for i in $(FILES); do ./fix-ultrix-sh $(bindir)/$$i; done
endif


$(bindir):
	mkdir -p $(bindir)

test-prefix:	
ifeq ($(prefix),)
	echo "prefix is unset."
	@exit 1
endif

test-platform:
ifeq ($(platform),)
	echo "platform is unset."
	@exit 1
endif

## tetex-bin 0.9.981113

=== texk/web2c/pdftexdir/xpdf-0.7a/goo/Makefile ===
# Generated automatically from Makefile.in by configure.
#========================================================================
#
# Goo library Makefile
#
# Copyright 1996 Derek B. Noonburg
#
#========================================================================

CFLAGS = -g -O2  -DHAVE_DIRENT_H=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_POPEN=1 -DHAVE_LIBXPM=1   -I.
CXXFLAGS = -g -O2  -DHAVE_DIRENT_H=1 -DHAVE_SYS_SELECT_H=1 -DHAVE_STRINGS_H=1 -DHAVE_POPEN=1 -DHAVE_LIBXPM=1   -I.

# CC = gcc
# CXX = c++
# AR = ar rc
# RANLIB = ranlib

CC = dos-gcc
CXX = dos-gcc
AR = dos-ar rc
RANLIB = dos-ranlib

LIBPREFIX = lib

#------------------------------------------------------------------------

GOO_CXX_OBJS = GString.o gmempp.o gfile.o
GOO_C_OBJS = gmem.o parseargs.o
GOO_OBJS = $(GOO_CXX_OBJS) $(GOO_C_OBJS)

$(LIBPREFIX)Goo.a: $(GOO_OBJS)
	rm -f $(LIBPREFIX)Goo.a
	$(AR) $(LIBPREFIX)Goo.a $(GOO_OBJS)
	$(RANLIB) $(LIBPREFIX)Goo.a

#------------------------------------------------------------------------

clean:
	rm -f $(GOO_OBJS) $(LIBPREFIX)Goo.a
	rm -f Makefile.bak

#------------------------------------------------------------------------

depend:
	$(CXX) $(CXXFLAGS) -M $(GOO_CXX_OBJS:.o=.cc) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' |\
	  grep -v '^ \\$$' >Makefile.dep
	$(CC) $(CFLAGS) -M $(GOO_C_OBJS:.o=.c) |\
	  sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' |\
	  grep -v '^ \\$$' >>Makefile.dep

include Makefile.dep

## tetex-bin 1.0.7+20011202-7.3

=== debian/changelog ===
tetex-bin (1.0.7+20011202-7.3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backported more fixes for several integer overflows in the xpdf
    library included in tetex-bin, thanks to Frank Kster
    <frank@debian.org> [libs/xpdf/xpdf/XRef.cc]
  * Changed arguments to size_t instead of int for several functions
    [libs/xpdf/goo/gmem.c, libs/xpdf/goo/gmem.h]

 -- Frank Kster <frank@debian.org>  Tue, 23 Nov 2004 14:40:38 +0100

tetex-bin (1.0.7+20011202-7.2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied modified patch by Sebastian Krahmer to fix several integer
    overflows discovered by Chris Evans (thanks to Frank Kster)
    [libs/xpdf/xpdf/Catalog.cc, libs/xpdf/xpdf/XRef.cc, CAN-2004-0888]

 -- Martin Schulze <joey@infodrom.org>  Fri, 29 Oct 2004 08:15:29 +0200

tetex-bin (1.0.7+20011202-7.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fixed a command execution vulnerability in dvips and xdvi (Thanks Olaf Kirch)
  * Add special detection routine for big/little endianess on MIPS since
    the line "byteorder  : {big|little} endian" from /proc/cpuinfo was
    removed as of Linux 2.4.20, resulting in the mipsel buildd being
    unable to build this package.  Added to {config,texk}/config.guess.

 -- Martin Schulze <joey@infodrom.org>  Thu, 21 Nov 2002 09:38:09 +0100

tetex-bin (1.0.7+20011202-7) unstable; urgency=high

  * Added a test to check whether $filename is defined to xdvi-sh; if not,
    we don't specify $filename on the command line (Closes: #144435)  [cmc]
  * Updated Standards-Version to 3.5.6.0 [cmc]
  * Added code to rules file to link to manpage for kpsetool from
    kpsepath.1 and kpsexpand.1 [cmc]
  * Added update-fmtutil.8 and update-texmf.8 to dh_undocumented line in
    rules file [cmc]
  * Changed Source package Priority to optional [cmc]
  * Should go into woody

 -- C.M. Connelly <cmc@debian.org>  Fri, 26 Apr 2002 10:51:08 -0700

tetex-bin (1.0.7+20011202-6) unstable; urgency=medium

  * Removed ``!!'' from heads of $TEXMFLOCAL and $TEXMFOLDLOCAL in
    texmf.d/05TeXMF, which eliminates the need for an ls-R file in
    /usr/local/share/texmf or /usr/local/lib/texmf
  * Modified debian/cron.daily to not create or update ls-R files in
    /usr/local unless the sysadmin manually changes a variable (with the
    previous change, closes: #141086)
  * fix xdvi wrapper (xdvi-sh) so that it rereads a dvi with SIGUSR1 and also
    can handle spaces in file names.  (closes: #95662, #138161, #139028)
  * add libxaw7-dev to Build-Depends field.  (closes: #131638)
  * fix epstopdf (closes: #131570)
  * a bit more robust update-texmf and update-fmtutil.
  * update the Uploaders: entry.
  * The first two fixes were done by [cmc@debian.org] and the rest were
    by [kohda@debian.org].
  * Improved postinst {texmf,fmtutil}.cnf reorganisation handling (don't
    overwrite saved .dpkg-old files on every upgrade!) [jdg]
  * Bail out of postinst immediately if we are not configuring [jdg]
  * introduce new postinst and postrm code to handle the pk/tfm/etc
    directories [jdg]
  * fix mkindex.1 overwriting makeindex.1 bug (closes: #132620) [jdg]

 -- Atsuhito KOHDA <kohda@debian.org>  Sat, 13 Apr 2002 19:25:51 +0900

tetex-bin (1.0.7+20011202-5.1) unstable; urgency=high

  * stop to install texmf.cnf as a real file but, instead, install separated
    files in texmf.d/* and run update-texmf to generate texmf.cnf
    Accordingly we modified texconfig so that it will modify 05TeXMF instead
    of texmf.cnf directly.  So remove texmf.cnf from conffiles and add 
    separated counterparts.  (closes: #69600, #133200)  [kohda@debian.org]
  * stop to install fmtutil.cnf as a real file but, instead, install it in
    fmt.d/00tetex.cnf and run update-fmtutil to generate fmtutil.cnf
    So remove fmtutil.cnf from conffiles.  (closes: #64914)  [kohda@debian.org]
  * change TEXMFLOCAL to /usr/local/share/texmf and also add TEXMFOLDLOCAL
    for consistency.  (closes: #75265)  [kohda@debian.org]
  * modify rules so that it removes texk/web2c/pdftexdir/Makefile 
    (closes: #133128)  [kohda@debian.org]
  * fix xdvi wrapper (xdvi-sh) so it can decompress *.Z files now.
    (closes: #138791)  [kohda@debian.org]
  * fix cron.daily so that it will update all necessary directories.
    (closes: #90691)  [kohda@debian.org]

 -- Atsuhito KOHDA <kohda@debian.org>  Mon, 11 Mar 2002 15:13:20 +0900

tetex-bin (1.0.7+20011202-5) unstable; urgency=high

  * call restore-symlinks with sh to make buildd's happy

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun,  3 Mar 2002 19:39:51 +0100

tetex-bin (1.0.7+20011202-4) unstable; urgency=high

  * fix texdoc background behaviour (closes: #129009, #135737)
  * add /var/spool/texmf/ directories on install again (closes: #133934)
  * add texi2html to recommends (closes: #87699)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun,  3 Mar 2002 10:15:47 +0100

tetex-bin (1.0.7+20011202-3.1) unstable; urgency=low

  * NMU
  * Fix implicit-decl problem, patch in bts.  Closes: #126617

 -- LaMont Jones <lamont@debian.org>  Thu, 31 Jan 2002 10:45:16 -0700

tetex-bin (1.0.7+20011202-3) unstable; urgency=low

  * change vardir in original texmf.cnf so that we don't have to change it
    via texconfig while installing or upgrading. (closes: #69600)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sat, 19 Jan 2002 09:17:10 +0100

tetex-bin (1.0.7+20011202-2) unstable; urgency=high

  * Install mpto correctly. (closes: #123233)
  * Correct the priorities of tetex-bin and libkpathsea3 from
    standard to optional in debian/control.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 10 Dec 2001 15:39:15 +0100

tetex-bin (1.0.7+20011202-1) unstable; urgency=high

  * New upstream release.
    - xdvi now gives an error message on "xdvi file.pdf" and
      "xdvi file.ps". (closes: #59346, #73672)
  * Dont't compile with "--with-system-wwwlib" because it's


## tetex-bin 1.0.7+20011202-7.7

=== debian/changelog ===
tetex-bin (1.0.7+20011202-7.7) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Added more precautionary checks by Dirk Mller [libs/xpdf/xpdf/Stream.cc]

 -- Martin Schulze <joey@infodrom.org>  Thu, 15 Dec 2005 17:29:52 +0100

tetex-bin (1.0.7+20011202-7.6) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Added more precautionary checks by Martin Pitt

 -- Martin Schulze <joey@infodrom.org>  Mon, 12 Dec 2005 08:50:32 +0100

tetex-bin (1.0.7+20011202-7.5) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Adjusted the former patch
  * Applied missing bit found by Ludwig Nussel

 -- Martin Schulze <joey@infodrom.org>  Fri,  9 Dec 2005 11:10:16 +0100

tetex-bin (1.0.7+20011202-7.4) oldstable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Backported patch from xpdf upstream to fix buffer overflows
    [libs/xpdf/xpdf/Stream.cc, libs/xpdf/xpdf/Stream.h, CAN-2005-3191]

 -- Martin Schulze <joey@infodrom.org>  Thu,  8 Dec 2005 10:28:58 +0100

=== debian/control ===
Source: tetex-bin
Section: tex
Priority: optional
Maintainer: teTeX maintainers <debian-tetex-maint@lists.debian.org>
Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper (>= 3.0.6), ed, libpng2-dev, zlib1g-dev, xlibs-dev, libxaw7-dev | libxaw-dev, m4, flex, bison, tetex-base, libtiff3g-dev, libwww-dev (>= 5.3.2-2)

Package: tetex-bin
Priority: optional
Architecture: any
Replaces: texbin, xdvik, mflib, kpathsea, makeindex, ps2pk, latex, tetex-base, texidoc
Conflicts: texbin, xdvik, mflib, kpathsea, makeindex, ps2pk, latex, nextawg (<= 0.5.1-34), nextaw (<< 0.8-2)
Provides: tex, latex, dvips, dvipsk, xdvi, metafont
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, tetex-base (>= 1.0.2+20011202-1), ed, debianutils (>= 1.13.1)
Suggests: lpr, gs | gs-aladdin, postscript-viewer, pdf-viewer, tetex-extra, texinfo, perl-tk
Recommends: dialog, psutils, texi2html
Description: teTeX binary files
 This is teTeX (version 1.0), a TeX distribution for UNIX compatible
 systems.
 .
 These are all the binaries for the teTeX system.
 You need at least tetex-base together with it.
 .
 Includes: ps2pk, dvilj, amstex, dvips, texbin, bibtex, xdvi, makeindex,
           latex, kpathsea, mfbin, amslatex

Package: libkpathsea3
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: tetex-lib
Replaces: tetex-lib
Provides: tetex-lib
Description: shared libkpathsea for teTeX
 Custom shared kpathsea library to run tex binaries for teTeX

Package: libkpathsea-dev
Section: devel
Priority: optional
Architecture: any
Depends: tetex-bin, libkpathsea3 (= ${Source-Version})
Conflicts: kpathsea-dev, tetex-dev
Replaces: kpathsea-dev, tetex-dev
Description: kpathsea.a and include files for teTeX
 Custom kpathsea library to build tex binaries for teTeX

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=tetex-bin

build:
#	$(checkdir)
	dh_testdir
	# Make sure all of our expected symlinks are in place
	sh debian/restore-symlinks
	./configure --prefix=/usr --enable-ipc --without-dialog --without-texinfo --with-system-ncurses --with-x --with-system-zlib --with-system-pnglib --with-system-tifflib --disable-multiplatform --enable-shared --mandir='$${prefix}/share/man' --infodir='$${datadir}/info'
	make
	touch build

clean:
#	$(checkdir)
	dh_testdir
	# Make sure all of our expected symlinks are in place
	sh debian/restore-symlinks
	dh_testroot
	-rm -f build
	-make distclean
	-rm -rf debian/tmp `find debian/* -type d ! -name CVS ` debian/files* 
	-rm -f debian/*substvars
	-rm -f libs/ncurses/man/edit_man.sed
	-rm -f config.cache libs/libtiff/mkversion
	-cd libs/libtiff && make distclean
	-rm -f texk/web2c/pdftexdir/Makefile
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uplo/shareated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
#	$(checkdir)
	dh_testdir
	dh_testroot
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
#tetex-bin install
	make install prefix=`pwd`/debian/tmp/usr texmf=`pwd`/debian/tmp/usr/share/texmf
	make strip prefix=`pwd`/debian/tmp/usr
	# move web2c to var
	cp -a debian/tmp/usr/share/texmf/web2c debian/tmp/var/lib/texmf
	rm -fr debian/tmp/usr/share/texmf/web2c
	(cd debian/tmp/usr/share/texmf/; ln -s /var/lib/texmf/web2c .)
	rm -f debian/tmp/usr/share/info/dir*
	rm -f debian/tmp/usr/share/texmf/dvips/gsftopk/render.ps
	rm -fr debian/tmp/usr/share/texmf/dvips/base
	rm -fr debian/tmp/usr/share/texmf/dvips/config
	rm -fr debian/tmp/usr/share/texmf/fontname
	rm -fr debian/tmp/usr/share/texmf/tex/plain/dvips
	rm -f debian/tmp/usr/share/man/man1/tie.1.nroffed
	ln -s tex.1 debian/tmp/usr/share/man/man1/frlatex.1
	ln -s tex.1 debian/tmp/usr/share/man/man1/frtex.1
	ln -s kpsetool.1 debian/tmp/usr/share/man/man1/kpsepath.1
	ln -s kpsetool.1 debian/tmp/usr/share/man/man1/kpsexpand.1
	ln -s dvicopy.1 debian/tmp/usr/share/man/man1/odvicopy.1
	ln -s dvitype.1 debian/tmp/usr/share/man/man1/odvitype.1
	ln -s tangle.1 debian/tmp/usr/share/man/man1/otangle.1
	ln -s dvips.1 debian/tmp/usr/share/man/man1/odvips.1
	ln -s dvilj.1 debian/tmp/usr/share/man/man1/dvilj2p.1
	ln -s dvilj.1 debian/tmp/usr/share/man/man1/dvilj4.1
	ln -s dvilj.1 debian/tmp/usr/share/man/man1/dvilj4l.1
#	ln -s pdftex.1 debian/tmp/usr/share/man/man1/pdfetex.1
	ln -s pdfetex.1 debian/tmp/usr/share/man/man1/pdfelatex.1
	ln -s pdfetex.1 debian/tmp/usr/share/man/man1/pdfeinitex.1
	ln -s pdfetex.1 debian/tmp/usr/share/man/man1/pdfevirtex.1
	ln -s mf.1 debian/tmp/usr/share/man/man1/mfw.1
	ln -s mf.base debian/tmp/var/lib/texmf/web2c/mfw.base
	ln -s tex debian/tmp/usr/bin/amstex
	ln -s tex debian/tmp/usr/bin/latex
	ln -s etex debian/tmp/usr/bin/elatex
	ln -s omega debian/tmp/usr/bin/lambda
	ln -s pdftex debian/tmp/usr/bin/pdflatex
	ln -s pdfetex debian/tmp/usr/bin/pdfelatex
	mv debian/tmp/usr/bin/xdvi.bin debian/tmp/usr/bin/xdvi.real
	mv debian/tmp/usr/bin/oxdvi.bin debian/tmp/usr/bin/oxdvi.real
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/xdvi.bin.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/xdvi.real.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/oxdvi.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/oxdvi.bin.1
	ln -s xdvi.1 debian/tmp/usr/share/man/man1/oxdvi.real.1
#	mkdir -p debian/tmp/usr/lib/xaw-wrappers/config
#	cp debian/xaw-wrappers debian/tmp/usr/lib/xaw-wrappers/config/tetex-bin
	m4 debian/tetex-preinst.m4 > debian/preinst
	rm -f debian/tmp/usr/bin/info
	rm -f debian/tmp/usr/bin/install-info
	rm -f debian/tmp/usr/info/info*
	rm -f debian/tmp/usr/bin/readlink
	rm -f debian/tmp/usr/share/man/man1/readlink.1
	rm -f debian/tmp/usr/bin/texi2html
	rm -f debian/tmp/usr/share/man/man1/texi2html.1
	(cd debian/tmp/usr/sbin/; ln -s ../bin/texconfig .)
	cp debian/dvi2fax.1 debian/tmp/usr/share/man/man1/
	cp debian/dvihp.1 debian/tmp/usr/share/man/man1/
	cp debian/dvitomp.1 debian/tmp/usr/share/man/man1/
	cp debian/epstopdf.1 debian/tmp/usr/share/man/man1/
#	cp debian/makeinfo.1 debian/tmp/usr/share/man/man1/
#	ln -s makeinfo.1 debian/tmp/usr/share/man/man1/texi2dvi.1
#	ln -s makeinfo.1 debian/tmp/usr/share/man/man1/texindex.1
#	update-texmf stuffs #########
	rm -f debian/tmp/var/lib/texmf/web2c/texmf.cnf
	cp -R texmf.d debian/tmp/etc/texmf
	install -m 755 debian/update-texmf debian/tmp/usr/sbin
	(cd debian/tmp/var/lib/texmf/web2c/; ln -s /etc/texmf/texmf.cnf .)
#	update-fmtutil 
	mv debian/tmp/var/lib/texmf/web2c/fmtutil.cnf debian/tmp/etc/texmf/fmt.d/00tetex.cnf
	install -m 755 debian/update-fmtutil debian/tmp/usr/sbin
	(cd debian/tmp/var/lib/texmf/web2c/; ln -s /etc/texmf/fmtutil.cnf .)
	install -m 644 texk/kpathsea/mktex.cnf debian/tmp/etc/texmf/
	(cd debian/tmp/var/lib/texmf/web2c/; ln -s /etc/texmf/mktex.cnf .)
	install -m 644 debian/mime debian/tmp/usr/lib/mime/packages/tetex-bin
#libkpathsea-dev installer
	mkdir -p debian/libkpathsea-dev/usr/share/doc
	(cd debian/libkpathsea-dev/usr/share/doc; ln -s tetex-bin libkpathsea-dev)
#libkpathsea3 install
	mkdir -p debian/libkpathsea3/usr/share/doc/libkpathsea3
#	install debian/README.debian debian/tetex-lib/usr/share/doc/tetex-lib/
#	install debian/copyright debian/tetex-lib/usr/share/doc/tetex-lib/
#	(cd debian/tetex-lib/usr/share/doc; ln -s tetex-bin tetex-lib)
#	debstd -u -m
	dh_installdirs
	dh_installdocs -ptetex-bin -plibkpathsea3
	dh_installexamples
	dh_installchangelogs -ptetex-bin -plibkpathsea3 ChangeLog
	dh_installmenu
	dh_installcron
	dh_installman new-manpages/[a-z]*
	dh_undocumented fdf2tan.1 makempy.1 mptopdf.1 omfonts.1 texfont.1 update-fmtutil.8 update-texmf.8
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs -V
	dh_installdeb
	dh_md5sums
	dh_builddeb
#	dpkg-gencontrol -ptetex-bin
#	chown -R root.root debian/tmp
#	chmod -R go=rX debian/tmp
#	dpkg --build debian/tmp ..
	echo -e -n "\a"

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## tetex-bin 3.0-30maemo2%2b0m5

=== debian/changelog ===
tetex-bin (3.0-30maemo2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 23 Feb 2010 12:08:58 +0200

tetex-bin (3.0-30maemo2) unstable; urgency=low

  * removed a couple of commercially offensive files
    tetex-src-3.0/texk/xdvik/psheader.txt
    tetex-src-3.0/texk/dvipsk/special.lpro
  * Fixes: NB#157352

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 18 Feb 2010 13:12:20 +0200

tetex-bin (3.0-30maemo1) unstable; urgency=low

  * Specify format/configuration dirs manually
  * Set maintainer to integration@maemo.org

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Mon, 31 Mar 2008 17:19:20 +0300

tetex-bin (3.0-30) unstable; urgency=low

  * The timezone patch from the last upload was wrong for 64bit
    architectures.  Applied corrected patch from upstream, thanks to
    Martin Michlmayr <tbm@cyrius.com> (closes: #409517) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 15 Feb 2007 12:54:16 +0100

tetex-bin (3.0-29) unstable; urgency=low

  * Apply a patch from upstream (Mark A. Wicks) to prevent dvipdfm from
    crashing when called in a time zone having an offset from GMT, which is
    not an integer number. (Closes: #291438) [hilmar]

 -- Frank Küster <frank@debian.org>  Wed, 10 Jan 2007 01:49:56 +0530

tetex-bin (3.0-28) unstable; urgency=low

  * mktexlsr: print a useful message instead of "no" when called by root
    with no arguments (closes: #402763).
  * mktexlsr.man: document the change due to the patch closing bug #294197
    (cf. first changelog entry for 3.0-27).

 -- Florent Rougon <frn@debian.org>  Wed, 27 Dec 2006 23:22:03 +0100

tetex-bin (3.0-27) unstable; urgency=low

  * Apply patch by Julian Gilbey <jdg@debian.org> to prevent mktexlsr from
    creating ls-R in root's home directory (closes: #294197)
  * Add a missing hunk for the patch in the last upload, this should
    really make texdoctk work

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 23:38:51 +0100

tetex-bin (3.0-26) unstable; urgency=low

  * Hardcode the two possible TEXMFDIST paths in texdoctk.  This makes it
    work again if tetex-doc and one texlive-doc-* package are installed at
    the same time.  Thanks to Braun Gabor <braung@renyi.hu> for reporting
    and Ralf Stubner <ralf.stubner@web.de> for ideas for fixing this
    (closes: #400058)

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 22:19:02 +0100

tetex-bin (3.0-25) unstable; urgency=low

  * Simplify README.Debian, it now just points to tex-common's "TeX on
    Debian" document, and is no longer registered with doc-base.

 -- Frank Küster <frank@debian.org>  Wed,  6 Dec 2006 14:26:00 +0100

tetex-bin (3.0-24) unstable; urgency=high

  * Apply patch from upstream to pdftex that allows it to work properly
    with CJK fonts with their large number of subfonts.  Many thanks to
    Thanh Han The <hanthethanh@gmail.com>, Jie Luo
    <luojie@nlsde.buaa.edu.cn> for the patch and many others for
    debugging. 
    This fixes a FTBFS bug in debian-reference and closes: #399897, hence
    the urgency
  * Write a proper manpage for texconfig, and document which commands
    make sense to be used on a Debian system.  Thanks to Géraud Meyer
    <geraud_meyer@hotmail.com> for reminding us (closes: #396823)
  * Make "texconfig faq" find the teTeX faq

 -- Frank Küster <frank@debian.org>  Fri, 24 Nov 2006 15:28:51 +0100

tetex-bin (3.0-23) unstable; urgency=low

  * Include in pdftex a simple one-line-patch from upstream to allow
    inclusion of TrueType fonts (closes: #394028) [frank]

 -- Frank Küster <frank@debian.org>  Thu, 19 Oct 2006 07:48:44 +0200

tetex-bin (3.0-22) unstable; urgency=low

  * Restrict the compile-time search path for texmf.cnf to directories
    that in fact exist on a Debian system, thanks to Toby Speight
    <T.M.Speight.90@cantab.net> (closes: #392195) [frank]
  * Source debianize-updmap at the proper place in updmap, so that
    syncWithTrees() gets overloaded by the version in debianize-updmap.
    Additionally, patch updmap so that using it with --edit doesn't wreak
    havoc on Debian systems. Using --edit will call
    debianEditWarnAndShow() from debianize-updmap, hence tetex-bin has to
    depend on tex-common (>= 0.34).
    Closes: #392573, #334747. [frank, florent]
  * Install xdvi's README.t1fonts (closes: #353889) [frank]

 -- Frank Küster <frank@debian.org>  Wed, 18 Oct 2006 15:35:09 +0200

tetex-bin (3.0-21) unstable; urgency=medium

  * Really load the debianize-updmap script from tex-common (closes:
    #392105) [frank]

 -- Frank Küster <frank@debian.org>  Tue, 10 Oct 2006 15:07:21 +0200

tetex-bin (3.0-20) unstable; urgency=medium

  * In postinst, generate language.dat every time before recreating
    formats.  This is needed to prevent failures in format creation when a
    package with language information is installed or upgraded in the same
    dpkg run.  Thanks to Ralf Stubner for noticing [frank]
  * Fix updmap to properly work with --enable and --disable, and load the
    debianize-updmap script from tex-common [frank]
  * The postinst script now uses a script in tex-common to handle the
    configuration file for format generation [frank]

 -- Frank Küster <frank@debian.org>  Mon,  9 Oct 2006 10:28:11 +0200

tetex-bin (3.0-19) unstable; urgency=low

  * Fix typo in the changelog entry of 3.0-17, s/nonexitant/nonexistent/. [frank]
  * Install documentation in /usr/share/doc/tetex-doc/tetex, not in
    TEXMFMAIN [frank]
  * Do not try to call install-info during package build [frank]
  * Apply the patch to fix a possible texdoctk crash. (closes: #351559)
    Thanks to Niko Tyni <ntyni@iki.fi> for investigation! [hilmar-guest]
  * Update changelog for 3.0-14. We forgot to close two bugs. [hilmar-guest]
  * Again fix dangling symlink of mfw.base, thanks to Ian Zimmerman
    <nobrowser@gmail.com> (closes: #377093) [hilmar]


=== debian/rules ===
#!/usr/bin/make -f
#
# do not edit this file, instead edit rules.in!


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# needed for quilt:
export QUILT_PATCHES=./debian/patches

# debian/rules can never be in eperl_files, because it may not be removed
EPERL_FILES := debian/config debian/preinst debian/postinst debian/prerm debian/postrm \
   debian/common.functions debian/tetex-bin_install
eperl_sourcefiles=debian/variables debian/COPYRIGHT.scripts \
   debian/common.variables debian/common.functions
eperl_pwd = $(shell pwd)/debian
# generated setup scripts that need to be made executable
setup_scripts=debian/tetex-bin_install debian/checkmd5sums
timepattern=.*[[:alpha:]]*[[:space:]]*[[:digit:]] \([[:digit:].]*\) \.\./.*
tex_common_dir = ../../tex-common/tex-common
real_common_variables=$(tex_common_dir)/debian/common.variables
real_common_functions_in=$(tex_common_dir)/debian/common.functions.in

stampdir=./stampdir

# use the Debian single file patch system
# export DSF-PATCHLIST=debian/patches/patchlist.mk
# include /usr/share/dsfp/dsf-patch.mk

SHELL=/bin/bash

# commented to test whether this is still needed (see bugs #269039 and #180665)
# ifeq ($(DEB_BUILD_ARCH),ia64)
#   CFLAGS=-g
# else
#   CFLAGS =
# endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  # this or dh_strip...
  INSTALL_PROGRAM += -s
endif

package=tetex-bin
sublib=libkpathsea4
subdev=libkpathsea-dev

sharedir=debian/$(package)/usr/share
txmfdir=$(sharedir)/texmf-tetex
vardir=/var/lib/texmf
debvar=debian/$(package)$(vardir)
etcdir=/etc/texmf
debetc=debian/$(package)/etc/texmf

###############
# Main targets
###############

# Eperl is simply great: thanks, Davide!
% :: %.in $(eperl_sourcefiles) 
	eperl -k -I $(eperl_pwd) -P -o $@ $<

# Override this rule for debian/rules, which needs an additional command
debian/rules: debian/rules.in $(eperl_sourcefiles)
        # Refresh debian/common.variables and debian/common.functions.in every
        # time the rules file is going to be regenerated
	$(update_commonstuff)
        # Regenerate the rules file
	eperl -k -P -o $@ $<

# Override the general rule for eperl-generated files in order to avoid a
# circular dependency (debian/common.functions is listed in
# $(eperl_sourcefiles)).
debian/common.functions: debian/common.functions.in debian/common.variables
	eperl -k -P -o $@ $<

clean: clean-commonstuff clean-upstream clean-deb clean-patches

configure: configure-stamp

build: build-stamp

install: $(EPERL_FILES) install-bin install-lib 

binary: binary-indep binary-arch

sarge: debian/sarge-stamp

sid: debian/sid-stamp


##############################
# Subtargets that do the work
##############################

# common.variables and common.functions are shared between the
# tetex-base and tetex-bin source packages.  On a normal build, they
# are copied from /usr/share/tex-common/teTeX-build/.  Developers can
# always used the most recent version from tex-commons svn repository.
# If you want to use this mechanism, check out the trunk of the
# tetex-common tree and pass its location relative to the build dir to
# make in the variable $(tex_common_dir).  The default is
# ../../tex-common/tex-common/.
define update_commonstuff
test -e $(real_common_variables) && \
  test $(real_common_variables) -nt debian/common.variables && \
  cp $(real_common_variables) debian/ || true

test -e $(real_common_functions_in) && \
  test $(real_common_functions_in) -nt debian/common.functions.in && \
  cp $(real_common_functions_in) debian/ && \
  eperl -k -P -o debian/common.functions debian/common.functions.in || true
endef

# For command-line use
commonstuff_update:
	$(update_commonstuff)


# this is needed to prevent remaking of configure from configure.in:
configure:
	:

$(stampdir): 
	mkdir $(stampdir) || touch $(stampdir)

clean-patches:
	# unapply patches, not giving an error when quilt says "No patch removed"
	quilt pop -a || [ $$? = 2 ]
	rm -f patch-stamp

patch-stamp:
	quilt push -a
	touch $@

clean-commonstuff:
	$(update_commonstuff)

clean-deb: clean-patches
	$(checkdir)
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-rmdir $(stampdir)

	# Add here commands to clean up after the build process.
	# Make sure all of our expected symlinks are in place
	sh debian/restore-symlinks
	-rm -f texk/conftest*
# Remove symlinks
# 2.99.1: Don't remove symlinks, they are now in the upstream tarball (but not in CVS)
#	sh debian/restore-symlinks -rm
	rm -f debian/conffiles
	rm -f $(EPERL_FILES)
	rm -f debian/tetex-xwarn
	rm -f $(shell cat debian/tetex-bin.info) debian/dir debian/dir.old

	dh_clean


clean-upstream: 
	-make distclean


configure-stamp: $(stampdir) patch-stamp
# comment out the following line if you want to check the configure target
# in a CVS working copy
	$(check-svn)
	dh_testdir
	# Make sure all of our expected symlinks are in place
	sh debian/restore-symlinks

# 	cp -f /usr/share/misc/config.{guess,sub} ./texk/
# 	cp -f /usr/share/misc/config.{guess,sub} ./utils/texinfo/
# 	cp -f /usr/share/misc/config.{guess,sub} ./config/
# test whether any of these is still needed

	# Add here commands to configure the package.
# explicitly disable subpackages that have separate packages in Debian, even if currently
# not in teTeX (but in ./configure because of TeXLive) or not built by default.
	./configure --prefix=/usr \
	  --enable-ipc --disable-multiplatform --enable-shared \
	  --without-dialog --without-texinfo --without-t1utils --without-dvipng \
	  --without-lcdf-typetools --without-psutils --without-dvi2tty --without-dvidvi \
	  --without-lacheck --without-musixflx --without-texi2html \
	  --with-cjkutils --with-detex --with-dtl --with-dviljk --with-seetexk \
	   --with-x --with-xdvi-x-toolkit=xaw --with-mf-x-toolkit \
	   --with-system-ncurses --with-system-zlib --with-system-pnglib \
	   --with-system-tifflib --with-system-wwwlib --with-system-t1lib \
	   --with-system-gd --mandir='$${prefix}/share/man' --infodir='$${prefix}/share/info' \
	   --without-xdvik

	touch configure-stamp

# debian/po/templates.pot: debian/templates
# 	debconf-updatepo
# 	grep "Last-Translator" debian/po/*.po | \
# 	  sed -e 's/.*\(<.*@.*>\).*/\1, /g' | \
# 	  tr "\n" " " | sed -e 's/,  $$/\n/' \
# 	  > debian/recent-translators

build-stamp: configure-stamp 
# comment out the following line if you want to check the build target
# in a CVS working copy
	$(check-svn)
	dh_testdir

	# just to be sure to not use them
	rm -rf libs/xpdf libs/zlib

	# Obsolete and now fixed pl.l by patch-tmp (for broken flex)
#	cp texk/web2c/omegafonts/lex.yy.c-dist texk/web2c/omegafonts/lex.yy.c
	# Add here commands to compile the package.
	make CFLAGS="${CFLAGS}" #XXCFLAGS='-I/usr/include/poppler' LDFLAGS='-lpoppler'
	gcc -o debian/tetex-xwarn -O2 -W -Wall -ansi -pedantic \
	   -L/usr/X11R6/lib -lXaw -lXt -lX11 -I/usr/X11R6/include \
	   debian/texdoctk-warn.c

	touch build-stamp

install-bin: build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs

	make install prefix=`pwd`/debian/$(package)/usr texmf=`pwd`/$(txmfdir) infodir=`pwd`/debian

	chmod a+x $(setup_scripts)
	debian/tetex-bin_install --move-to-texmfmain
	debian/tetex-bin_install --rm-only
	debian/tetex-bin_install --format-links
	debian/tetex-bin_install --manpage-links
	debian/tetex-bin_install --debianprogs
	debian/tetex-bin_install --conffiles
#	debian/tetex-bin_install --xdvi
	debian/tetex-bin_install --misc
	debian/tetex-bin_install --omfonts


install-lib: build-stamp
# libkpathsea4 and most of the dev-package is installed by dh_movefiles
# libkpathsea-dev installer
	mkdir -p debian/$(subdev)/usr/share/doc
	(cd debian/$(subdev)/usr/share/doc; ln -sf $(sublib) $(subdev))


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	$(check-svn)
	dh_testdir
	dh_testroot

## tetex-bin 3.0-30maemo2+0m5

=== debian/control ===
Source: tetex-bin
Section: tex
Priority: optional
Maintainer: maemo integration <integration@maemo.org>
Uploaders: Julian Gilbey <jdg@debian.org>, C.M. Connelly <cmc@debian.org>, Atsuhito KOHDA <kohda@debian.org>, Frank Küster <frank@debian.org>, Florent Rougon <frn@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.1.16), ed, libpng12-dev, zlib1g-dev, libxaw7-dev, flex, bison, libt1-dev (>= 5.0.0-3), autotools-dev, libpaper-dev, texinfo, eperl, debiandoc-sgml, quilt, libpoppler-dev, libjpeg62-dev | libjpeg-dev, libgd2-xpm-dev

Package: tetex-bin
Priority: optional
Architecture: any
Replaces: texidoc, dvipdfm, cweb, ctie, texdoctk
Conflicts: dvipdfm, alml (<< 2002.08.29-4), jbibtex-bin (<< 3.0.5+0.04-2), jtex-bin (<= 1.8-5.1), passivetex (<< 1.21-5), ptex-bin (<< 3.0.5+0.04-2), xmltex (<< 1.9-4), cweb (<< 3.64.debian-1), ctie (<< 1.1.debian.1), arabtex (<= 3.10-5), tetex-base (<< 2.96.1), tetex-extra (<< 2.96.1), jadetex (<= 3.13-3), aleph (<< 1:0), xmltex (<= 1.9-10)
Provides: dvipdfm, cweb, ctie, texdoctk
Pre-Depends: dpkg (>= 1.6.8)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, tetex-base (>= 3.0-4), ed, debianutils (>= 1.13.1), mime-support, sed (>= 4.0.5), ucf (>= 1.02), dialog | whiptail, tex-common (>= 0.34)
Suggests: gs-gpl | gs-esp | gs-afpl, gv | postscript-viewer, xpdf-reader | pdf-viewer, tetex-extra, texinfo, texi2html, dvipng, chktex | lacheck, rubber, sam2p, xbase-clients
Recommends: psutils, perl-tk, libxml-parser-perl
Description: The teTeX programs
 This is the compiled part of teTeX. This package contains all the
 programs belonging to teTeX, i.e. the TeX compiler itself, and
 variants for formats like e-TeX, pdfTeX, LaTeX, pdfLaTeX, etc.
 .
 It also contains auxiliary programs like bibtex, makeindex, dvips
 and xdvi, conversion tools and some tools for maintaining your teTeX
 system. Also included are man pages and info files about these
 programs.
 .
 Lambda, Omega, MetaPost, MetaFun and AmSTeX won't work without
 having tetex-extra installed.

Package: libkpathsea4
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tetex-bin (<< 2.0), jtex-bin (<< 1.9), multex-bin (<< 0.8), ptex-bin (<< 3.0.5), dvi2ps (<< 3.2j)
Description: path search library for teTeX (runtime part)
 This package contains the runtime part of the Kpathsea[rch] library,
 which implements generic path searching, configuration, and
 TeX-specific file searching.

Package: libkpathsea-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libkpathsea4 (= ${Source-Version})
Conflicts: kpathsea-dev, tetex-dev, libkpathsea4-dev
Replaces: libkpathsea4-dev, kpathsea-dev, tetex-dev, tetex-bin ( <= 3.0-14)
Provides: libkpathsea4-dev
Description: path search library for teTeX (devel part)
 This package contains the static library and header files for the
 libkpathsea[rch] library.

=== debian/watch ===
version=2
ftp://cam.ctan.org/pub/archive/systems/unix/teTeX/current/distrib/tetex-src-(.*).tar.gz
